Bug 90232 - Master document does not parses a sub master document
Summary: Master document does not parses a sub master document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: possibleRegression
Depends on:
Blocks: Writer-Master-Doc
  Show dependency treegraph
 
Reported: 2015-03-25 17:19 UTC by José M. R. Amores
Modified: 2019-12-03 14:34 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description José M. R. Amores 2015-03-25 17:19:03 UTC
Use the following was an example of a fairly complex master document that unifies several other documents and master documents. It's basic structure is something like this:

everything (master document)
   introduction (writer document)
   other stuff (writer document)
   chapters (master document)
      chapter 1 (master document)
         chapter 1 theme (writer document)
         chapter 1 development (writer document)
      ...
      chapter N (master document)
         chapter N theme (writer document)
         chapter N development (writer document)
   conclusion (writer document)
   index

Regardless of the "why" for such a document, this structure was working very well. However, when I upgraded my LibreOffice to 4.4.1.2 the document stopped to work properly, specifically, LibreOffice says that it cannot find the .odm files inside the parent master document, but if I try to edit one of them it opens it without a problem:

everything (master document) -> Opens, does not show sub documents of type .odm
   [...]
   chapters (master document) -> appears on the list of sub-documents, is not found by the parent master document, but right-click->Edit opens it
      chapter 1 (master document) -> appears on the list of sub-documents, is not found by the parent master document, but right-click->Edit opens it
         chapter 1 theme (writer document)
         chapter 1 development (writer document) 
   [...]

At first I thought that it was some missing configuration and made a request for assistance on ask.libreoffice.org (http://ask.libreoffice.org/en/question/47932/my-master-document-does-not-parses-a-sub-master-document/), however user 'oweng' demonstrated that it was actually an inconsistent behaviour from LibreOffice:

"Ok. That explains what I am seeing under v4.2. I have now tested behaviour under versions: 3.3.41, 3.4.6.2, 3.5.7.2, 3.6.7.2, 4.0.6.2, 4.1.6.2, 4.2.8.2, 4.3.5.2, and 4.4.1.2. Only the 3.6, 4.0, and 4.1 series allow insertion of an ODM into an ODM. It would be worth raising a bug report to get the behaviour clarified.
oweng (Mar 21 '15)"

The insertion of an ODM into another ODM is a quite useful functionality, and I am uncertain if it is and error of those previous versions of LibreOffice or from the more recent ones. Please notice that no warning is raised on those ODM's, actually on LibreOffice 4.4 I can select an ODM to insert into my master document but then LibreOffice does nothing at all, not even warns about such a action not being possible/permited.
Comment 1 Owen Genat (retired) 2015-04-03 03:28:43 UTC
As per my comment (quoted from the related AskLO thread) this can be confirmed. Status set to NEW. It would be good to clarify why v3.6, v4.0, and v4.1 allowed the indicated behaviour. Possible regression thus "PossibleRegression" tag added to whiteboard.
Comment 2 Robinson Tryon (qubit) 2015-12-09 18:27:05 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:42:50 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:34:50 UTC
Dear José M. R. Amores,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug